<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CommitDelete Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : CommitDelete Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle that is passed to add-ins that are notified about file or folder deletions from the vault

poCallback
  Optional pointer to a class that implements IEdmCallback to provide delete progress feedback to the user

Deletes the files and folders added to the batch by IEdmBatchDelete::AddFileByID, IEdmBatchDelete::AddFileByPath, and/or IEdmBatchDelete::AddFolder.

# Syntax

Visual Basic |
--- | ---

    Function CommitDelete( _
       ByVal hParentWnd As System.Integer, _
       Optional ByVal poCallback As EdmCallback _
    ) As System.Boolean

C# |
--- | ---

    System.bool CommitDelete(
       System.int hParentWnd,
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    System.bool CommitDelete(
    &   System.int hParentWnd,
    &   EdmCallback^ poCallback
    )

#### Parameters

hParentWnd
  Parent window handle that is passed to add-ins that are notified about file or folder deletions from the vault
poCallback
  Optional pointer to a class that implements IEdmCallback to provide delete progress feedback to the user

#### Return Value

True if no errors occurred, false if errors occurred

# Example

See the IEdmBatchDelete examples.

# Remarks

Before calling this method, you must call IEdmBatchDelete::ComputePermissions.

If errors occurred during IEdmBatchDelete::CommitDelete, call IEdmBatchDelete::ShowCommitErrorsDlg or IEdmBatchDelete3::GetCommitErrors.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_NOT_INITIALIZED: IEdmBatchDelete::ComputePermissions has not been called.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008